Bug 829952 - Outdated information about cgconfig service in Resource Management Guide for Fedora 17
Outdated information about cgconfig service in Resource Management Guide for ...
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: resource-management-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Prpič
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 17:04 EDT by Aleksandr Brezhnev
Modified: 2015-05-28 05:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-28 05:04:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandr Brezhnev 2012-06-07 17:04:58 EDT
Description of problem:
The Resource Management Guide for Fedora 17 contains outdated information about cgconfig service in section 2.1 "The cgconfig Service"

The guide states that the cgconfig service is not started by default in Fedora 17. It is not true. In addition, the guide contains phrase "When you start the service with chkconfig" that is wrong for any release. For Fedora 17 is should be "When you start the service with the <command>systemctl start</command> command".
Comment 1 Martin Prpič 2012-06-07 17:11:01 EDT
Ah, I missed that one! Will update it asap. Do you know if the cgconfig service was started by default on f16 and f15?

Cheers,
Martin
Comment 2 Aleksandr Brezhnev 2012-06-07 19:01:23 EDT
The cgconfig service is "on" by default on Fedora 15 and "off" on Fedora 16. 
Both Fedora versions allow you to control the service with chkconfig.
It is not the case for Fedora 17.
Comment 3 Martin Prpič 2012-06-08 08:39:02 EDT
Ok, this should be fixed. Moving to ON_QA. Can you verify the fix so I can close this bug? And thanks again for reporting this issue.
Comment 4 Aleksandr Brezhnev 2012-06-08 09:45:27 EDT
I would rephrase the paragraph like that:

The <systemitem class="service">cgconfig</systemitem> service is enabled by default on &MAJOROSVER;. After reboot or when you restart the service with <command>systemctl restart cgconfig.service</command> command, it reads the cgroup configuration file — <filename>/etc/cgconfig.conf</filename>. Cgroups are therefore recreated from session to session and become persistent. Depending on the contents of the configuration file, <application>cgconfig</application> can create hierarchies, mount necessary file systems, create cgroups, and set subsystem parameters for each group.
Comment 5 Martin Prpič 2012-06-11 07:08:50 EDT
Sure thing. Rephrased! I'll publish this as soon as possible. Change was committed to Git (ac5ff6462e95abfb615d9da9d06fdb449c9f7e53).

Thanks!

Note You need to log in before you can comment on or make changes to this bug.